STRUCT TEMPLATE R(3)

NAME
boost::interprocess::cached_adaptive_pool<T,_detail::shared_adaptive_node_pool<_SegmentManager,_sizeof_value<_T_>::value,_NodesPerBlock,_MaxFreeBlocks,_OverheadPercent_>,_2>::rebind

SYNOPSIS

// In header: <boost/interprocess/allocators/cached_adaptive_pool.hpp>
template<typename T2>
struct rebind {
  // types
  typedef cached_adaptive_pool< T2, SegmentManager, NodesPerBlock, MaxFreeBlocks, OverheadPercent > other;
};

DESCRIPTION

Obtains cached_adaptive_pool from cached_adaptive_pool